# meinproc6 User's Manual

2014-05-08
Frameworks 5.0
KDE Frameworks

meinproc6
1

# `meinproc6`

&kde; translator for &XML;

## Synopsis

    meinproc6

    -h, --help
    -v, --version
    --cache file
    --check
    --srcdir dir
    --param key=value

    -o
    --output

     file

    --stdout
    --stylesheet xsl
    docbook_file

## Description

`meinproc6` converts DocBook files to &HTML;.

## Generic Options

`-h``--help`

  Show help about options.

`-v``--version`

  Show version information.

## Application Options

`--cache` `file`

  Create a cache file for the document.

`--check`

  Check the document for validity.

      The output can be a bit daunting, since one small mistake can cause a cascade of errors.
      The trick is to look at the first error, fix that error, save the file, and run meinproc6 again.

`-o`, `--output` `file`

  Output whole document to `file`.

`--stdout`

  Output whole document to stdout.

`--stylesheet` `xsl`

  Stylesheet to use.

`--srcdir` `dir`

  Set the root directory to look for kdoctools.

`--param` key=value

  Set parameters to pass to the stylesheet.

## Usage

The most common way to run `meinproc6` is simply as

    meinproc6 docbook-file

where docbook-file is usually index.docbook. This command creates &HTML; pages from the DocBook file. Note that these pages are only viewable in &kde;-based browsers (like &konqueror;).

If you need to view the &HTML; output in another browser (for example, if you're placing it on line), use

    meinproc6 --stylesheet stylesheet-name docbook-file

where stylesheet-name is the full path to one of the &XSL; stylesheets in <kdoctools_installation_prefix>/share/kf5/kdoctools/customization/. To produce output suitable for the web, you can use `kde-web.xsl` or `kde-chunk-online.xsl`. See the `README` file in that directory for more details.

## See Also

kf6options(7), qt6options(7)

## Bugs

Please use &kde;'s bugtracker to report bugs.